package com.diagbot.facade;

import com.diagbot.entity.DeptInfo;
import com.diagbot.service.impl.DeptInfoServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.DateUtil;
import com.diagbot.util.UserUtils;
import com.diagbot.vo.AddDeptInfoVO;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/22 11:44
 */
@Component
public class DeptInfoFacade extends DeptInfoServiceImpl {

    /**
     * 添加科室信息（本地）
     * @param addDeptInfoVO
     * @return
     */
    public Boolean addDeptInfo(AddDeptInfoVO addDeptInfoVO) {
        DeptInfo deptInfo =new DeptInfo();
        BeanUtil.copyProperties(addDeptInfoVO,deptInfo);
        deptInfo.setCreator(UserUtils.getCurrentPrincipleID());
        deptInfo.setGmtCreate(DateUtil.now());
        Boolean flag = this.save(deptInfo);
        return flag;
    }

}
